Datasets - Cancel Refresh
Cancels the specified refresh operation for the specified semantic model. The semantic model can reside in My workspace or another workspace, provided the caller has the required permissions.
Required Scope
Dataset.ReadWrite.All
DELETE https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/refreshes/{refreshId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataset
|
path | True |
string (uuid) |
The dataset ID |
|
refresh
|
path | True |
string (uuid) |
The refresh ID |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample request
DELETE https://api.powerbi.com/v1.0/myorg/datasets/f7fc6510-e151-42a3-850b-d0805a391db0/refreshes/87f31ef7-1e3a-4006-9b0b-191693e79e9e